# Eclipse does not yet export virtual maven provides, so filter out the requires
%global __requires_exclude mvn\\(org\\.eclipse\\.core:resources\\)

Name:           maven-eclipse-plugin
Version:        2.9
Release:        %mkrel 15
Group:          Development/Java
Summary:        Maven Eclipse Plugin

License:        ASL 2.0
URL:            http://maven.apache.org/plugins/maven-eclipse-plugin/
Source0:        http://repo1.maven.org/maven2/org/apache/maven/plugins/%{name}/%{version}/%{name}-%{version}-source-release.zip
Patch0:         %{name}-compat.patch
Patch1:         %{name}-exception.patch
Patch2:         %{name}-ioexception.patch

%if 0%{?rhel} >= 6
ExclusiveArch: %{ix86} x86_64
%else
BuildArch: noarch
%endif

# Maven and its dependencies
BuildRequires: maven-local
BuildRequires: maven-test-tools
BuildRequires: maven-plugin-testing-tools
BuildRequires: maven-osgi
# Others
BuildRequires: apache-commons-io
BuildRequires: xmlunit
BuildRequires: eclipse-platform
BuildRequires: plexus-resources
BuildRequires: plexus-interactivity-jline
BuildRequires: bsf
BuildRequires: jaxen
BuildRequires: dom4j
BuildRequires: xom
BuildRequires: saxpath

%description
The Eclipse Plugin is used to generate Eclipse IDE files (.project, .classpath 
and the .settings folder) from a POM.

%package javadoc
Summary:        Javadoc for %{name}

%description javadoc
API documentation for %{name}.


%prep
%setup -q 
%patch0 -p1
%patch1 -p1
%patch2 -p1

sed -i -e "s|3.3.0-v20070604|3.7.100.v20110510-0712|g" pom.xml

sed -i 's/aQute\.lib\.osgi/aQute.bnd.osgi/g' src/main/java/org/apache/maven/plugin/eclipse/EclipseToMavenMojo.java

# Remove easymock dependency (tests are skipped)
%pom_remove_dep easymock:

%build
# Create a local repo for the eclipse dependency because eclipse
# does not yet export virtual mvn provides or ship pom files
export MAVEN_REPO_LOCAL=$(pwd)/.m2/repository
CORE_FAKE_VERSION="3.7.100.v20110510-0712"
CORE_PLUGIN_DIR=$MAVEN_REPO_LOCAL/org/eclipse/core/resources/$CORE_FAKE_VERSION

mkdir -p $CORE_PLUGIN_DIR
plugin_file=`ls /usr/lib{,64}/eclipse/plugins/org.eclipse.core.resources_*jar || :`

ln -s "$plugin_file" $CORE_PLUGIN_DIR/resources-$CORE_FAKE_VERSION.jar

%pom_xpath_inject "pom:dependencies/pom:dependency[pom:groupId[text()='org.eclipse.core']]" "<scope>provided</scope>"

# Skip tests because they do not compile
%mvn_build -- -Dmaven.test.skip=true -Dmaven.repo.local=$MAVEN_REPO_LOCAL

%install
%mvn_install

%files -f .mfiles
%doc LICENSE NOTICE DEPENDENCIES README-testing.txt
%dir %{_javadir}/maven-eclipse-plugin
%dir %{_mavenpomdir}/maven-eclipse-plugin

%files javadoc -f .mfiles-javadoc
%doc LICENSE NOTICE




%changelog
* Tue Feb 23 2016 neoclust <neoclust> 2.9-15.mga6
+ Revision: 977259
- First rebuild of the java stack
- sync package maven-eclipse-plugin with fedora

  + umeabot <umeabot>
    - Mageia 6 Mass Rebuild

* Thu Feb 19 2015 daviddavid <daviddavid> 2.9-17.mga5
+ Revision: 815868
- Sync with fc22 (fix build failure)
- rebuild for current saxpath fixes

  + pterjan <pterjan>
    - Add missing BuildRequires

* Wed Oct 15 2014 umeabot <umeabot> 2.9-15.mga5
+ Revision: 746660
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

  + pterjan <pterjan>
    - Add missing BuildRequires

  + tv <tv>
    - use %%global for req/prov exclude
    - autoconvert to new prov/req excludes

* Tue Jan 07 2014 dmorgan <dmorgan> 2.9-13.mga4
+ Revision: 565266
- Fix broken require

* Mon Jan 06 2014 dmorgan <dmorgan> 2.9-12.mga4
+ Revision: 565261
- Fix deps exclusion

* Mon Jan 06 2014 dmorgan <dmorgan> 2.9-11.mga4
+ Revision: 565193
- Rebuild against current java stack
- Build with xmvn
- Rebuild against new javapackages
- Remove unneeded dependencies on maven-doxia

  + umeabot <umeabot>
    - Mageia 4 Mass Rebuild
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Sep 09 2012 dmorgan <dmorgan> 2.9-1.mga3
+ Revision: 291504
- New version 2.9
- Build in pure maven 3 environment
- Build with maven 3.x

* Thu Apr 28 2011 dmorgan <dmorgan> 2.8-5.mga1
+ Revision: 92699
- Rebuild after bootstrapping
- imported package maven-eclipse-plugin


* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Thu Sep 09 2010 Weinan Li <weli@redhat.com> - 2.8-3
- Remove version from BR eclipse-platform

* Fri Jun 25 2010 Stanislav Ochotnicky <sochotnicky@redhat.com> - 2.8-2
- Update R/BRs, make eclipse.core.resources path dynamic

* Fri Jun 11 2010 Weinan Li <weli@redhat.com> - 2.8-1
- Initial Package
